# Python X2Go (Client) API Documentation (v0.6.1.4)

## x2go.mimeboxactions module

For MIME box jobs there are currently three handling actions available: `x2go.mimeboxactions.X2GoMIMEboxActionOPEN`, `x2go.mimeboxactions.X2GoMIMEboxActionOPENWITH` and `x2go.mimeboxactions.X2GoMIMEboxActionSAVEAS`.

class x2go.mimeboxactions.X2GoMIMEboxAction(client_instance=None, logger=None, loglevel=56)

  Bases: `object`

  property description

    Return the X2Go MIME box action’s description text.

    Returns:

      MIME box action’s description

    Return type:

      `str`

  do_process(mimebox_file, mimebox_dir)

    Wrapper method for the actual processing of MIME box actions.

    Parameters:

      - mimebox_file (`str`) – file name as placed in to the X2Go MIME box directory

      - mimebox_dir (`str`) – location of the X2Go session’s MIME box directory

  property name

    Return the X2Go MIME box action’s name.

    Returns:

      MIME box action name

    Return type:

      `str`

class x2go.mimeboxactions.X2GoMIMEboxActionOPEN(client_instance=None, logger=None, loglevel=56)

  Bases: `X2GoMIMEboxAction`

  MIME box action that opens incoming files in the system’s default application.

class x2go.mimeboxactions.X2GoMIMEboxActionOPENWITH(client_instance=None, logger=None, loglevel=56)

  Bases: `X2GoMIMEboxAction`

  MIME box action that calls the system’s ,,Open with…’’ dialog on incoming files. Currently only properly implementable on Windows platforms.

class x2go.mimeboxactions.X2GoMIMEboxActionSAVEAS(client_instance=None, logger=None, loglevel=56)

  Bases: `X2GoMIMEboxAction`

  MIME box action that allows saving incoming MIME box files to a local folder. What this MIME box actually does is calling a hook method in the `x2go.client.X2GoClient` instance that can be hi-jacked by one of your application’s methods which then can handle the ,,Save as…’’ request.